Package org.apache.sling.thumbnails.internal.providers

## Class SlideShowThumbnailProvider

- java.lang.Object
- - org.apache.sling.thumbnails.internal.providers.SlideShowThumbnailProvider

All Implemented Interfaces:
  `ThumbnailProvider`

    public class SlideShowThumbnailProvider
    extends Object
    implements ThumbnailProvider

Provides Thumbnails for Microsoft PPT and PPTX files.

### Constructor Summary

Constructors
`SlideShowThumbnailProvider​(org.apache.sling.commons.classloader.DynamicClassLoaderManager classLoaderManager, ThumbnailSupport thumbnailSupport)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `applies​(org.apache.sling.api.resource.Resource resource, String metaType)` Returns true if the ThumbnailProvider applies for the specified resource.
`InputStream` `getThumbnail​(org.apache.sling.api.resource.Resource resource)` Get the thumbnail from the specified resource.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SlideShowThumbnailProvider

    public SlideShowThumbnailProvider​(org.apache.sling.commons.classloader.DynamicClassLoaderManager classLoaderManager,
                                      ThumbnailSupport thumbnailSupport)

### Method Detail

#### applies

    public boolean applies​(org.apache.sling.api.resource.Resource resource,
                           String metaType)

Description copied from interface: `ThumbnailProvider`
Returns true if the ThumbnailProvider applies for the specified resource.

Specified by:
  `applies` in interface `ThumbnailProvider`
Parameters:
  `resource` - the resource to check. This resource should be a supported resource type
  `metaType` - the meta type string found for the file based on it's resource type
Returns:
  true if this ThumbnailProvider will create a thumbnail for this resource, false otherwise

#### getThumbnail

    public InputStream getThumbnail​(org.apache.sling.api.resource.Resource resource)
                             throws IOException

Description copied from interface: `ThumbnailProvider`
Get the thumbnail from the specified resource.

Specified by:
  `getThumbnail` in interface `ThumbnailProvider`
Parameters:
  `resource` - the resource from which to retrieve the thumbnail
Returns:
  the thumbnail
Throws:
  `IOException` - an exception occurs retrieving the thumbnail